Bug 619334 - RFE: Enable coredump capture in the appliance
RFE: Enable coredump capture in the appliance
Status: ASSIGNED
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 619345
  Show dependency treegraph
 
Reported: 2010-07-29 06:04 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 619345 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-07-29 06:04:41 EDT
Description of problem:

It should be possible to enable coredump capture in the appliance.  This
would allow us to more easily debug certain problems without requiring
'printf' statements as now.

It would work something like this:

(1) Add a handle variable called 'coredump' /
  LIBGUESTFS_COREDUMP=<path>

(2) This sets a kernel parameter for the appliance.

(3) If the kernel parameter is set then the daemon enables coredumps:

  (a) echo /sysroot/<path>/core.%t.%e > /proc/sys/kernel/core_pattern
  (b) Set ulimit core unlimited

(4) After something coredumps (even the daemon) this ought to
  capture the coredump on the currently mounted device.

Version-Release number of selected component (if applicable):

1.5.x
Comment 1 Richard W.M. Jones 2010-07-29 06:05:35 EDT
I wonder if we can coredump to a raw disk?  Then the user could
add a "coredump capture disk".
Comment 2 Matthew Booth 2010-07-29 06:15:30 EDT
Unless we plan to turn this on by default, this is really a developer tool. I think we can assume to a significant extent that the user understands exactly how it works and what the implications of using it are. This would include, for example, choosing a sensible value for LIBGUESTFS_COREDUMP for the current image file. I'd keep this one simple.
Comment 3 Richard W.M. Jones 2010-07-31 12:21:24 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-July/msg00090.html
Comment 4 Richard W.M. Jones 2011-07-14 15:14:21 EDT
Setting back to ASSIGNED.  The patch was not acceptable
upstream.  This requires a fix to the kernel, which the
kernel developers have rejected.

Note You need to log in before you can comment on or make changes to this bug.